[ci] don't try to extract bootstrap cache in packer cache script (#26408)

This commit is contained in:
Spencer 2018-11-29 07:20:29 -08:00 committed by GitHub
parent 238e24a09c
commit cf9c594ca3
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
4 changed files with 17 additions and 14 deletions

View file

@ -1,10 +1,9 @@
#!/usr/bin/env bash
set -e
set -o pipefail
# run setup script that gives us node, yarn, and bootstraps the project
source "src/dev/ci_setup/setup.sh";
source src/dev/ci_setup/setup.sh;
# download es snapshots
node scripts/es snapshot --download-only;

View file

@ -5,6 +5,7 @@ set -e
# move to Kibana root
cd "$(dirname "$0")/.."
source src/dev/ci_setup/extract_bootstrap_cache.sh
source src/dev/ci_setup/setup.sh
case "$JOB" in

View file

@ -0,0 +1,15 @@
#!/usr/bin/env bash
set -e
###
### Extract the bootstrap cache that we create in the packer_cache.sh script
###
bootstrapCache="$HOME/.kibana/bootstrap_cache/master.tar"
if [ -f "$bootstrapCache" ]; then
echo "extracting bootstrap_cache from $bootstrapCache";
tar -xf "$bootstrapCache";
else
echo "bootstrap_cache missing";
exit 1;
fi

View file

@ -33,18 +33,6 @@ echo "-> KIBANA_DIR $KIBANA_DIR"
echo "-> XPACK_DIR $XPACK_DIR"
echo "-> PARENT_DIR $PARENT_DIR"
###
### Extract the bootstrap cache that we create in the packer_cache.sh script
###
bootstrapCache="$cacheDir/bootstrap_cache/master.tar"
if [ -f "$bootstrapCache" ]; then
echo "extracting bootstrap_cache from $bootstrapCache";
tar -xf "$bootstrapCache";
else
echo "bootstrap_cache missing";
exit 1;
fi
###
### download node
###